PDA

View Full Version : Qt 4.4.3 build error



anoop7181
28th March 2011, 15:22
Hi,

I am building Qt4.4.3 on Solaris 10.I am able to configure perfectly.
Please find my command below

./configure -prefix /apps/qt-all-commercial-src-4.4.3_ssl -platform solaris-cc -static -no-fontconfig -no-webkit -no-phonon -openssl-linked -I/home/tcssrpa/ssl/include -L/home/tcssrpa/ssl/lib

i configured with openssl linked support

After i give gmake (after 15 mins) it kicks the following error.


Error:
CC -mt -R/apps/Qt/qt-x11-commercial-src-4.4.3_ssl/lib -R/apps/Qt/qt-x11-commercial-src-4.4.3_ssl/lib -o ../../../bin/uic3 .obj/release-static/customwidgetsinfo.o .obj/release-static/databaseinfo.o .obj/release-static/driver.o .obj/release-static/treewalker.o .obj/release-static/ui4.o .obj/release-static/uic.o .obj/release-static/validator.o .obj/release-static/cppextractimages.o .obj/release-static/cppwritedeclaration.o .obj/release-static/cppwriteicondata.o .obj/release-static/cppwriteicondeclaration.o .obj/release-static/cppwriteiconinitialization.o .obj/release-static/cppwriteincludes.o .obj/release-static/cppwriteinitialization.o .obj/release-static/main.o .obj/release-static/ui3reader.o .obj/release-static/parser.o .obj/release-static/domtool.o .obj/release-static/object.o .obj/release-static/subclassing.o .obj/release-static/form.o .obj/release-static/converter.o .obj/release-static/widgetinfo.o .obj/release-static/embed.o .obj/release-static/qt3to4.o .obj/release-static/deps.o -L/home/tcssrpa/ssl/lib -L/apps/Qt/qt-x11-commercial-src-4.4.3_ssl/lib -L/usr/sfw/lib -lQt3Support -L/home/tcssrpa/ssl/lib -L/apps/Qt/qt-x11-commercial-src-4.4.3_ssl/lib -L/usr/sfw/lib -lQtSql -L/usr/openwin/lib -lQtNetwork -lxnet -lssl -lcrypto -lQtXml -lQtGui -lpng -lfreetype -lSM -lICE -lXi -lXrender -lXext -lX11 -lresolv -lsocket -lnsl -lQtCore -lz -lm -ldl -lpthread -lrt
Undefined first referenced
symbol in file
QIconvCodec::QIconvCodec() /apps/Qt/qt-x11-commercial-src-4.4.3_ssl/lib/libQtCore.a(qtextcodec.o)
ld: fatal: Symbol referencing errors. No output written to ../../../bin/uic3
make: *** [../../../bin/uic3] Error 1

i am using compiler CC 5.8

Please help me on this ...its urgent!!!!

SixDegrees
28th March 2011, 15:29
Try adding '--no-iconv' to your configure call. If that fails (some versions of Qt force the dependency, even when it is explicitly turned off) you'll have to obtain and install the iconv package for your Solaris environment.

Note that Solaris has been very poorly supported by Qt for quite a while.

terminator3
20th February 2012, 03:16
hi,how about the condition of QT installtion on Solaris?can you tell me how to install QT in solaris.my name is marcus .can you add me msn:minshengbai@live.cn (or qq if you have .375308292)or reply my message at this website.?thank you

ChrisW67
20th February 2012, 05:16
Solaris is an unsupported environment (see supported platforms) so, although it should be possible, YMMV. You can attempt to install Qt on Solaris by following exactly the same set of documented commands as any other UNIX/X11 user. The dependencies are also documented.